CREATE TABLE EVENT (
	id_event BIGINT GENERATED BY DEFAULT AS IDENTITY,
	event varchar(255) not null,
        id_transaction varchar(255) not null,
        business_application varchar(255),
        status varchar(255) not null,
        creation_time timestamp not null
);

CREATE TABLE EVENT_DETAIL (
        id_event_detail BIGINT IDENTITY,
	request CLOB not null,
        response CLOB not null,
        CONSTRAINT FK_EVENT FOREIGN KEY (id_event_detail) REFERENCES EVENT (id_event)
);

create sequence event_sequence start with 1 increment by 1;
create sequence event_detail_sequence start with 1 increment by 1;

insert into EVENT(event, id_transaction, business_application, status, creation_time) values ('TEST', '1234' , 'test-app', 'S' ,ts '2017-09-17 18:47:52.69');
insert into EVENT_DETAIL(id_event_detail, request, response) values (1, '{a}','{b}');

--SELECT * FROM EVENT INNER JOIN EVENT_DETAIL ON EVENT.id_event = EVENT_DETAIL.id_event_detail;